/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSMediaRule_H__
#define __GdomCSSMediaRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSMediaRule GdomCSSMediaRule;
typedef struct _GdomCSSMediaRuleClass GdomCSSMediaRuleClass;


#define GDOM_TYPE_CSS_MEDIA_RULE            (gdom_css_media_rule_get_type())
#define GDOM_CSS_MEDIA_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_MEDIA_RULE, GdomCSSMediaRule))
#define GDOM_CSS_MEDIA_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_MEDIA_RULE, GdomCSSMediaRule)Class)
#define GDOM_IS_CSS_MEDIA_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_MEDIA_RULE))
#define GDOM_IS_CSS_MEDIA_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_MEDIA_RULE))
#define GDOM_CSS_MEDIA_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_MEDIA_RULE, GdomCSSMediaRuleClass))

typedef struct _GdomCSSMediaRulePrivate GdomCSSMediaRulePrivate;

struct _GdomCSSMediaRule {
    GdomCSSRule parent_instance;
    GdomCSSMediaRulePrivate *priv;
};

struct _GdomCSSMediaRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_media_rule_get_type (void);

WEBKIT_API gulong
gdom_css_media_rule_insert_rule (GdomCSSMediaRule *thiz, gchar * rule, gulong index);

WEBKIT_API void
gdom_css_media_rule_delete_rule (GdomCSSMediaRule *thiz, gulong index);

G_END_DECLS

#endif /* __GdomCSSMediaRule_H__ */
